package net.northking.cctp.upperComputer.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author : yineng.huang
 * @date : 2024/5/7 10:28
 */
@Component
@ConfigurationProperties(prefix = "nk.http-request-path")
public class HttpRequestPathConfig {

    private String ocrServer;

    private String ocrFindArea;

    private String imgFindArea;

    private String ocrGetText;

    private String ocrGetVerificationCode;

    private String getSafeKeyBoardNum;

    private String ocrGetAllTextNum;

    public String getOcrGetAllTextNum() {
        return ocrGetAllTextNum;
    }

    public void setOcrGetAllTextNum(String ocrGetAllTextNum) {
        this.ocrGetAllTextNum = ocrGetAllTextNum;
    }

    public String getGetSafeKeyBoardNum() {
        return getSafeKeyBoardNum;
    }

    public void setGetSafeKeyBoardNum(String getSafeKeyBoardNum) {
        this.getSafeKeyBoardNum = getSafeKeyBoardNum;
    }

    public String getOcrGetVerificationCode() {
        return ocrGetVerificationCode;
    }

    public void setOcrGetVerificationCode(String ocrGetVerificationCode) {
        this.ocrGetVerificationCode = ocrGetVerificationCode;
    }

    public String getOcrGetText() {
        return ocrGetText;
    }

    public void setOcrGetText(String ocrGetText) {
        this.ocrGetText = ocrGetText;
    }

    public String getOcrServer() {
        return ocrServer;
    }

    public void setOcrServer(String ocrServer) {
        this.ocrServer = ocrServer;
    }

    public String getOcrFindArea() {
        return ocrFindArea;
    }

    public void setOcrFindArea(String ocrFindArea) {
        this.ocrFindArea = ocrFindArea;
    }

    public String getImgFindArea() {
        return imgFindArea;
    }

    public void setImgFindArea(String imgFindArea) {
        this.imgFindArea = imgFindArea;
    }
}
